Package org.eclipse.m2m.atl.engine.vm

## Interface Debugger

All Known Implementing Classes:
  `DummyDebugger`, `NetworkDebugger`, `ProfilingDebugger`, `SimpleDebugger`

    public interface Debugger

Interface for ATL VM debuggers (or other tools like profilers).

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enter​(StackFrame frame)` Enters the frame.
`void` `error​(StackFrame frame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`void` `leave​(StackFrame frame)` Leaves the frame.
`void` `step​(ASMStackFrame frame)` Steps into the frame.
`void` `terminated()` Terminates the execution.

### Method Detail

#### enter

    void enter​(StackFrame frame)

Enters the frame.

Parameters:
  `frame` - the frame to enter in

#### leave

    void leave​(StackFrame frame)

Leaves the frame.

Parameters:
  `frame` - the frame to leave

#### step

    void step​(ASMStackFrame frame)

Steps into the frame.

Parameters:
  `frame` - the frame to step

#### terminated

    void terminated()

Terminates the execution.

#### error

    void error​(StackFrame frame,
               java.lang.String msg,
               java.lang.Exception e)

Throws an error.

Parameters:
  `frame` - the current frame
  `msg` - the error message
  `e` - the exception